Chuyển đến nội dung
Diễn đàn CADViet
trongquan

Lisp mirror đối tượng không cần pick điểm

Các bài được khuyến nghị

Ai có lisp hoặc viết được lisp có thể mirro một đối tượng bằng cách kích vào đối tượng sau đó chỉ vào một đường thẳng bất ki là nó tự mirro qua đường thẳng kho, đỡ phải chọn 2 điểm trên đưởng thẳng!Nhiều khi làm thế hơi "nông dân" :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ai có lisp hoặc viết được lisp có thể mirro một đối tượng bằng cách kích vào đối tượng sau đó chỉ vào một đường thẳng bất ki là nó tự mirro qua đường thẳng kho, đỡ phải chọn 2 điểm trên đưởng thẳng!Nhiều khi làm thế hơi "nông dân" :bigsmile:

Lệnh tên là MBL (mirror by line):

(defun c:mbl()
 (setq ss (ssget)	
tt (entget (car (entsel "\nHay chon duong line: ")))
p1 (cdr (assoc 10 tt))
p2 (cdr (assoc 11 tt))
oldos (getvar "osmode")
 )
 (princ "\nXoa doi tuong cu(Y/N)?")
 (setvar "osmode" 0)
 (command ".mirror" ss "" p1 p2 pause)
 (setvar "osmode" oldos)
 (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×